MoveIt.GUI.Modules.Resize = {}

function MoveIt.GUI.Modules.Resize:Create(container)

	MoveIt.GUI.Modules:CreateEnabledCheckbox(container, "Resize", 0.3, "Resize")

	self.sliderWidth = AceGUI:Create("Slider")
	self.sliderWidth:SetLabel("Width")
	self.sliderWidth:SetSliderValues(-1000, 1000, 0.01)
	self.sliderWidth:SetRelativeWidth(0.35)
	self.sliderWidth:SetDisabled(true)
	self.sliderWidth:SetCallback("OnValueChanged", function() self:OnChangeSetting() end)
	container:AddChild(self.sliderWidth)

	self.sliderHeight = AceGUI:Create("Slider")
	self.sliderHeight:SetLabel("Height")
	self.sliderHeight:SetSliderValues(-1000, 1000, 0.01)
	self.sliderHeight:SetRelativeWidth(0.35)
	self.sliderHeight:SetDisabled(true)
	self.sliderHeight:SetCallback("OnValueChanged", function() self:OnChangeSetting() end)
	container:AddChild(self.sliderHeight)

end

function MoveIt.GUI.Modules.Resize:OnChangeSetting()

    local modSettings = MoveIt:GetFrameSettings(MoveIt.GUI.Options.selectedFrame, "Resize")
	modSettings.Width = self.sliderWidth:GetValue()
    modSettings.Height = self.sliderHeight:GetValue()
	MoveIt.Modules.Resize:Apply(MoveIt.GUI.Options.selectedFrame)

end

function MoveIt.GUI.Modules.Resize:Update(frameName)

    local modSettings = MoveIt:GetFrameSettings(frameName, "Resize")
    self.checkboxEnabled:SetValue(modSettings.Enabled, false)
    self.sliderWidth:SetValue(modSettings.Width, false)
    self.sliderHeight:SetValue(modSettings.Height, false)

    local enabled = modSettings.Enabled
	self.checkboxEnabled:SetDisabled(false)
    self.sliderWidth:SetDisabled(not enabled)
	self.sliderHeight:SetDisabled(not enabled)

end

function MoveIt.GUI.Modules.Resize:Disable()

    self.checkboxEnabled:SetValue(false, false)
    self.sliderWidth:SetValue(0, false)
	self.sliderHeight:SetValue(0, false)

	self.checkboxEnabled:SetDisabled(true)
	self.sliderWidth:SetDisabled(true)
	self.sliderHeight:SetDisabled(true)

end
